import_entry_requests table needs a ctime so we can clean up old partial requests

Bug #1597536 reported by Robert Lyon on 2016-06-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
15.04
High
Unassigned
15.10
High
Unassigned
16.04
High
Unassigned

Bug Description

A ctime will allow us to clean up the old entries via a new (or possibly existing) cronjob

And we need to make the stored path to the files be relative to dataroot rather than full path from '/' on server as we shouldn't be recording that info in the db.

Robert Lyon (robertl-9) on 2016-06-29
Changed in mahara:
milestone: none → 16.10.0
description: updated
Changed in mahara:
importance: Undecided → Medium
status: New → Confirmed
importance: Medium → High
Robert Lyon (robertl-9) on 2016-07-08
Changed in mahara:
status: Confirmed → In Progress
Changed in mahara:
assignee: nobody → Robert Lyon (robertl-9)

Reviewed: https://reviews.mahara.org/6637
Committed: https://git.mahara.org/mahara/mahara/commit/d559567461db72c7a2a0565cbf4c6921e65ae7c7
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit d559567461db72c7a2a0565cbf4c6921e65ae7c7
Author: Robert Lyon <email address hidden>
Date: Thu Jun 30 13:24:03 2016 +1200

Bug 1597536: cleaning up old import_entry_requests rows

And avoiding storing full path to dataroot temp dir in db for imported
entries

behatnotneeded

Change-Id: I18fb3a76accd57517e340ce98a19f7b10bd4814c
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2016-10-04
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/7070

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/7071

Reviewed: https://reviews.mahara.org/7069
Committed: https://git.mahara.org/mahara/mahara/commit/60b28f84158e0444cb41e9a857877a29902c9d92
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 60b28f84158e0444cb41e9a857877a29902c9d92
Author: Robert Lyon <email address hidden>
Date: Thu Jun 30 13:24:03 2016 +1200

Bug 1597536: cleaning up old import_entry_requests rows

And avoiding storing full path to dataroot temp dir in db for imported
entries

behatnotneeded

Change-Id: I18fb3a76accd57517e340ce98a19f7b10bd4814c
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7070
Committed: https://git.mahara.org/mahara/mahara/commit/1bf164d27833cdf5582cf9ae04e464348807160b
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 1bf164d27833cdf5582cf9ae04e464348807160b
Author: Robert Lyon <email address hidden>
Date: Thu Jun 30 13:24:03 2016 +1200

Bug 1597536: cleaning up old import_entry_requests rows

And avoiding storing full path to dataroot temp dir in db for imported
entries

behatnotneeded

Change-Id: I18fb3a76accd57517e340ce98a19f7b10bd4814c
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7071
Committed: https://git.mahara.org/mahara/mahara/commit/3df7f98c956ee9a824b5b50485386da01f64d4d1
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 3df7f98c956ee9a824b5b50485386da01f64d4d1
Author: Robert Lyon <email address hidden>
Date: Thu Jun 30 13:24:03 2016 +1200

Bug 1597536: cleaning up old import_entry_requests rows

And avoiding storing full path to dataroot temp dir in db for imported
entries

behatnotneeded

Change-Id: I18fb3a76accd57517e340ce98a19f7b10bd4814c
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
milestone: none → 16.10.1
status: Fix Committed → Fix Released
Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.1 → 16.10.0
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers